about summary refs log tree commit diff stats
path: root/hm/soispha/pkgs/scripts/wrappers/mpc-fav
diff options
context:
space:
mode:
Diffstat (limited to 'hm/soispha/pkgs/scripts/wrappers/mpc-fav')
-rwxr-xr-xhm/soispha/pkgs/scripts/wrappers/mpc-fav13
1 files changed, 13 insertions, 0 deletions
diff --git a/hm/soispha/pkgs/scripts/wrappers/mpc-fav b/hm/soispha/pkgs/scripts/wrappers/mpc-fav
new file mode 100755
index 00000000..59121c86
--- /dev/null
+++ b/hm/soispha/pkgs/scripts/wrappers/mpc-fav
@@ -0,0 +1,13 @@
+#!/usr/bin/env dash
+
+# shellcheck source=/dev/null
+SHELL_LIBRARY_VERSION="2.0.13" . %SHELL_LIBRARY_PATH
+
+FAV_DIR="$XDG_MUSIC_DIR/playlists/favourites";
+
+cd "$XDG_MUSIC_DIR" || die "No music dir!";
+[ -d "$FAV_DIR" ] && mkdir --parents "$FAV_DIR";
+ln -sr "$(mpc --format '%file%' current)" "$FAV_DIR" || die "Link failed!";
+
+
+# vim: ft=sh